summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2019-09-13 05:05:16 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2019-09-13 05:05:16 +0000
commit8f5d8f3de6cae180af37917ef978a4affc2cd464 (patch)
tree4bfe1abc6d19c2dd635d1b83cc0e73d0aa6904ac /build
parentAdding upstream version 1.17.0. (diff)
downloadnetdata-8f5d8f3de6cae180af37917ef978a4affc2cd464.tar.xz
netdata-8f5d8f3de6cae180af37917ef978a4affc2cd464.zip
Adding upstream version 1.17.1.upstream/1.17.1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'build')
-rwxr-xr-xbuild/build.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/build/build.sh b/build/build.sh
new file mode 100755
index 000000000..892a7da98
--- /dev/null
+++ b/build/build.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+if [ ! -f .gitignore ]; then
+ echo "Run as ./travis/$(basename "$0") from top level directory of git repository"
+ exit 1
+fi
+
+if [ "$IS_CONTAINER" != "" ]; then
+ autoreconf -ivf
+ ./configure --enable-maintainer-mode
+ make dist
+ rm -rf autom4te.cache
+else
+ docker run --rm -it \
+ --env IS_CONTAINER=TRUE \
+ --volume "${PWD}:/project:Z" \
+ --workdir "/project" \
+ netdata/builder:gcc \
+ ./build/build.sh
+fi